package com.zt.plat.module.base.dal.mysql.tmpltp;

import java.util.*;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.zt.plat.framework.mybatis.core.mapper.BaseMapperX;

import com.zt.plat.module.base.controller.admin.templtp.vo.TmplInscBsnRelPageReqVO;
import com.zt.plat.module.base.dal.dataobject.tmpltp.TmplInscBsnRelDO;
import org.apache.ibatis.annotations.Mapper;


/**
 * 模板实例与业务中间 Mapper
 *
 * @author 后台管理-1
 */
@Mapper
public interface TmplInscBsnRelMapper extends BaseMapperX<TmplInscBsnRelDO> {

    default PageResult<TmplInscBsnRelDO> selectPage(TmplInscBsnRelPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<TmplInscBsnRelDO>()
                .eqIfPresent(TmplInscBsnRelDO::getRelativityId, reqVO.getBsnId())
                .eqIfPresent(TmplInscBsnRelDO::getInscId, reqVO.getInscId())
                .eqIfPresent(TmplInscBsnRelDO::getCntt, reqVO.getCntt())
                .eqIfPresent(TmplInscBsnRelDO::getVer, reqVO.getVer())
                .betweenIfPresent(TmplInscBsnRelDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(TmplInscBsnRelDO::getId));
    }

}
